Bug 179563 - REGRESSION(r224623) [MIPS] branchTruncateDoubleToInt32() doesn't set return register when branching
Summary: REGRESSION(r224623) [MIPS] branchTruncateDoubleToInt32() doesn't set return r...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: Other
Hardware: Other Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-10 16:49 PST by Guillaume Emont
Modified: 2017-11-15 09:36 PST (History)
12 users (show)

See Also:


Attachments
Patch (6.68 KB, patch)
2017-11-10 17:30 PST, Guillaume Emont
no flags Details | Formatted Diff | Diff
Patch (6.61 KB, patch)
2017-11-10 17:44 PST, Guillaume Emont
no flags Details | Formatted Diff | Diff
Patch (6.77 KB, patch)
2017-11-13 07:22 PST, Guillaume Emont
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Guillaume Emont 2017-11-10 16:49:04 PST
When run with BranchIfTruncateSuccessful, branchTruncateDoubleToInt32() fails to set dest before branching.
Comment 1 Guillaume Emont 2017-11-10 17:30:31 PST
Created attachment 326665 [details]
Patch
Comment 2 Build Bot 2017-11-10 17:32:55 PST
Attachment 326665 [details] did not pass style-queue:


ERROR: Source/JavaScriptCore/assembler/testmasm.cpp:41:  Alphabetical sorting problem.  [build/include_order] [4]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Guillaume Emont 2017-11-10 17:44:54 PST
Created attachment 326668 [details]
Patch

Fix style issue
Comment 4 Michael Catanzaro 2017-11-11 16:52:16 PST
Windows EWS is failing
Comment 5 Guillaume Emont 2017-11-13 07:22:12 PST
Created attachment 326759 [details]
Patch

New version that doesn't use peprocessor macros inside CHECK_EQ.
Comment 6 Adrian Perez 2017-11-13 11:18:59 PST
Comment on attachment 326759 [details]
Patch

Reviewing informally... Patch LGTM.

BTW, it's nice that this patch actually removes a few unneeded lines ;-)
Comment 7 WebKit Commit Bot 2017-11-14 13:53:44 PST
Comment on attachment 326759 [details]
Patch

Clearing flags on attachment: 326759

Committed r224843: <https://trac.webkit.org/changeset/224843>
Comment 8 WebKit Commit Bot 2017-11-14 13:53:46 PST
All reviewed patches have been landed.  Closing bug.
Comment 9 Radar WebKit Bug Importer 2017-11-15 09:36:05 PST
<rdar://problem/35562039>